[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# copytodos

Copy data from heap to DOS memory

## Declaration

Source position: go32.pp line 190

`procedure copytodos(`
`var addr;`
`len: LongInt`
`);`

## Description

Copies data from heap to the pre-allocated dos memory buffer.

Parameters:

addr
  data to copy from.
len
  number of bytes to copy to dos memory buffer.

Notes: This function fails if you try to copy more bytes than the transfer buffer is in size. It can only be used in conjunction with the transfer buffer.

## Errors

Check the int31error variable.

## See also

tb_size |  | Return DOS transfer memory buffer size
transfer_buffer |  | Return offset of DOS transfer buffer
copyfromdos |  | Copy data from DOS to heap